Bug 501489 - cannot complete Satellite-5.3.0-RHEL5-re20090518.0 installation on rhel5U3
cannot complete Satellite-5.3.0-RHEL5-re20090518.0 installation on rhel5U3
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Brad Buckingham
Petr Sklenar
: Regression
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-05-19 09:11 EDT by Petr Sklenar
Modified: 2009-09-10 16:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:37:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhn-installation log for i386 (63.94 KB, text/plain)
2009-05-19 09:11 EDT, Petr Sklenar
no flags Details

  None (edit)
Description Petr Sklenar 2009-05-19 09:11:47 EDT
Created attachment 344615 [details]
rhn-installation log for i386

Description of problem:
cannot complete Satellite-5.3.0-RHEL5-re20090518.0 installation on rhel5U3

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090518.0

How reproducible:
always

Steps to Reproduce:
0. clear rhel5u3 registered to http://xmlrpc.rhn.webqa.redhat.com/XMLRPC
1. Satellite-5.3.0-RHEL5-re20090518.0
#cd /mnt/redhat/devel/candidate-trees/Satellite-5.3.0-RHEL5-re20090518.0/tree-i386
2. ./install.pl
  
Actual results:

--> Processing Dependency: perl(DBD::Oracle) for package: NPalert
--> Finished Dependency Resolution
perl-NOCpulse-OracleDB-1.28.12-3.el5sat.noarch from Satellite/perl-NOCpulse-OracleDB-1.28.12-3.el5sat.noarch.rpm has depsolving problems
  --> Missing Dependency: perl(DBD::Oracle) is needed by package perl-NOCpulse-OracleDB-1.28.12-3.el5sat.noarch (Satellite/perl-NOCpulse-OracleDB-1.28.12-3.el5sat.noarch.rpm)
spacewalk-base-minimal-0.5.23-15.el5sat.noarch from Satellite/spacewalk-base-minimal-0.5.23-15.el5sat.noarch.rpm has depsolving problems
  --> Missing Dependency: perl(DBD::Oracle) is needed by package spacewalk-base-minimal-0.5.23-15.el5sat.noarch (Satellite/spacewalk-base-minimal-0.5.23-15.el5sat.noarch.rpm)
perl-NOCpulse-OracleDB-1.28.12-3.el5sat.noarch from Satellite/perl-NOCpulse-OracleDB-1.28.12-3.el5sat.noarch.rpm has depsolving problems
  --> Missing Dependency: perl(DBD::Oracle) is needed by package perl-NOCpulse-OracleDB-1.28.12-3.el5sat.noarch (Satellite/perl-NOCpulse-OracleDB-1.28.12-3.el5sat.noarch.rpm)
NPalert-1.126.7-2.el5sat.noarch from Satellite/NPalert-1.126.7-2.el5sat.noarch.rpm has depsolving problems
  --> Missing Dependency: perl(DBD::Oracle) is needed by package NPalert-1.126.7-2.el5sat.noarch (Satellite/NPalert-1.126.7-2.el5sat.noarch.rpm)
perl-NOCpulse-Probe-1.183.6-2.el5sat.noarch from Satellite/perl-NOCpulse-Probe-1.183.6-2.el5sat.noarch.rpm has depsolving problems
  --> Missing Dependency: perl(DBD::Oracle) is needed by package perl-NOCpulse-Probe-1.183.6-2.el5sat.noarch (Satellite/perl-NOCpulse-Probe-1.183.6-2.el5sat.noarch.rpm)
Error: Missing Dependency: perl(DBD::Oracle) is needed by package perl-NOCpulse-Probe-1.183.6-2.el5sat.noarch (Satellite/perl-NOCpulse-Probe-1.183.6-2.el5sat.noarch.rpm)
Error: Missing Dependency: perl(DBD::Oracle) is needed by package perl-NOCpulse-OracleDB-1.28.12-3.el5sat.noarch (Satellite/perl-NOCpulse-OracleDB-1.28.12-3.el5sat.noarch.rpm)
Error: Missing Dependency: perl(DBD::Oracle) is needed by package NPalert-1.126.7-2.el5sat.noarch (Satellite/NPalert-1.126.7-2.el5sat.noarch.rpm)
Error: Missing Dependency: perl(DBD::Oracle) is needed by package spacewalk-base-minimal-0.5.23-15.el5sat.noarch (Satellite/spacewalk-base-minimal-0.5.23-15.el5sat.noarch.rpm)


Expected results:
deps resolved & pkgs are installed

Additional info:
Satellite-5.3.0-RHEL5-re20090507.1 works fine -> regression
Comment 1 Brandon Perkins 2009-05-19 11:39:16 EDT
We assume this is because this was a known bad ISO, but want this checked explicitly before the next QA ISO.
Comment 2 Brad Buckingham 2009-05-19 11:42:38 EDT
I'll confirm during the next QA ISO verification; however, Satellite-5.3.0-RHEL5-re20090518.0 was not an officially verified ISO.
Comment 3 Brad Buckingham 2009-05-20 09:16:27 EDT
Verified i386 installs using:

Satellite-5.3.0-RHEL4-re20090520.0
Satellite-5.3.0-RHEL5-re20090520.0

The above are official QA ISOs.
Comment 4 Petr Sklenar 2009-05-21 08:09:22 EDT
verified;
Satellite-5.3.0-RHEL5-re20090520.0 works on i386 and x86_64
Comment 5 Petr Sklenar 2009-05-26 03:56:43 EDT
verified again:
Satellite-5.3.0-RHEL4-re20090520.0 on s390
Comment 6 Steve Salevan 2009-08-03 10:46:57 EDT
RELEASE_PENDING from 7/24 build.
Comment 7 Brandon Perkins 2009-09-10 16:37:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.